//************************************************************************
// T6963.H
//
// LCD Gre und Grundeinstellungen angeben
//
// Holger Klabunde
// 10.08.2005
//************************************************************************
#ifndef t6963_h
#define t6963_h // Mehrfaches 'includen' vermeiden

#define NOP() _asm nop _endasm

#define PREFIX		0xFE //Matrix Orbital Kommando Prefix

#define LCD_WIDTH	240
#define LCD_HEIGHT	64

#define TEXT_AREA     0
#define GRAPH_AREA    0xC00  //nicht benutzt
#define CHARWIDTH     6      //8x6 Font
#define PIXPERBYTE    6      //nicht benutzt
#define CGRAM_OFFSET  0x02   //Ergibt CGRAM Startadresse 0x1400
#define CGRAM_AREA    0x1400 //s.o.
#define COLS	      LCD_WIDTH/CHARWIDTH
#define ROWS	      LCD_HEIGHT/8

//#define BAR	0x3E  //Bar mit einem LeerPixel zur optischen Trennung
#define BAR	0x1F  //Bar mit einem LeerPixel zur optischen Trennung
                      //sieht einfach besser aus

#define WR	PORTCbits.RC7
#define WR_TRIS	TRISCbits.TRISC7
#define RD	PORTCbits.RC1
#define RD_TRIS	TRISCbits.TRISC1
#define A0	PORTCbits.RC0     //eigentlich C/D
#define A0_TRIS	TRISCbits.TRISC0  //eigentlich C/D

#define DATA_DIR_IN()	TRISB=0xFF
#define DATA_DIR_OUT()  TRISB=0
#define WR_DATA(a)	PORTB=(a)		
#define RD_DATA()	PORTB		

#define DATA	0       //Daten vom/zum Display
#define COMMAND	1       //Kommando/BusyCheck zum/vom Display

extern void InitDisplay(void);
extern void LCDPos(unsigned char zeile, unsigned char spalte);
extern void LCDChar(unsigned char ch);
extern void ClearScreen(void);
extern void MakeCGRam(void);

extern unsigned char cgram[];  //cgram[8] ist die CG-RAM Adresse, 0..7 die Daten

#endif // t6963_h
